/*!
 * Enterprise Web Components v1.13.2 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  IdsButton,
  ids_button_default
} from "./ids-chunk-3ET3C2CT-full.js";
import {
  customElement,
  scss
} from "./ids-chunk-FRMWXXEE-full.js";
import {
  stringToBool
} from "./ids-chunk-3J45QMCH-full.js";
import {
  attributes
} from "./ids-chunk-SCUDQYUW-full.js";
import {
  __decorateClass
} from "./ids-chunk-CXUGXPHV-full.js";

// src/components/ids-modal/ids-modal-button.ts
var IdsModalButton = class extends IdsButton {
  constructor() {
    super();
  }
  /**
   * Toggle-Button-level `connectedCallback` implementation (adds an icon refresh)
   */
  connectedCallback() {
    super.connectedCallback();
  }
  /**
   * @returns {Array} containing configurable properties on this component
   */
  static get attributes() {
    return [
      ...super.attributes,
      attributes.CONFIRM,
      attributes.CANCEL
    ];
  }
  /**
   * Figure out the classes
   * @private
   * @readonly
   * @returns {Array} containing classes used to identify this button prototype
   */
  get protoClasses() {
    return ["ids-modal-button"];
  }
  /**
   * @returns {boolean} true if the button is a cancel button
   */
  get cancel() {
    return this.hasAttribute(attributes.CANCEL);
  }
  /**
   * @param {boolean} val true if the button should be able to cancel the Modal
   */
  set cancel(val) {
    const isValueTruthy = stringToBool(val);
    if (isValueTruthy) {
      this.setAttribute(attributes.CANCEL, `${val}`);
    } else {
      this.removeAttribute(attributes.CANCEL);
    }
  }
};
IdsModalButton = __decorateClass([
  customElement("ids-modal-button"),
  scss(ids_button_default)
], IdsModalButton);

export {
  IdsModalButton
};
//# sourceMappingURL=ids-chunk-J4UUXN3B-full.js.map
