/*!
 * Enterprise Web Components v1.13.2 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/utils/ids-object-utils/ids-object-utils.ts
function isObject(obj) {
  return obj instanceof Object && !(obj instanceof Number) && !(obj instanceof Array);
}
function isObjectAndNotEmpty(obj) {
  return isObject(obj) && Object.keys(obj).length > 0;
}
function calculateTextRenderWidth(obj, text, font = "400 16px arial") {
  obj.canvas = obj.canvas || document.createElement("canvas");
  const context = obj.canvas.getContext("2d");
  context.font = font;
  return context.measureText(text).width;
}

export {
  isObject,
  isObjectAndNotEmpty,
  calculateTextRenderWidth
};
//# sourceMappingURL=ids-chunk-WLH6FB7F-full.js.map
